[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#580098: marked as done (firmware-b43-lpphy-installer postinst script fails when a Broadcom Ethernet device is also here)

Your message dated Tue, 11 May 2010 00:17:16 +0000
with message-id <E1OBd9w-00028u-VL@ries.debian.org>
and subject line Bug#580098: fixed in b43-fwcutter 1:013-2
has caused the Debian Bug report #580098,
regarding firmware-b43-lpphy-installer postinst script fails when a Broadcom Ethernet device is also here
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

580098: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=580098
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: firmware-b43-lpphy-installer
Severity: normal
Tags: patch

When installing firmware-b43-lpphy-installer from Squeeze on my laptop, dpkg fails to install it because its postinst script fails :

Échec de l'installation d'un paquet. Tentative de réparation : 
Paramétrage de firmware-b43-lpphy-installer ( ...
Not supported card here (PCI id 14e4:4315

The problem comes from my laptop having 2 broadcom network PCI interfaces, one wifi (LP-PHY, targeted for this package) and also an Ethernet card :

$ lspci|grep -i broad
02:00.0 Network controller: Broadcom Corporation BCM4312 802.11b/g LP-PHY (rev 01)
85:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5787M Gigabit Ethernet PCI Express (rev 02)

$ lspci -n|grep 14e4:
02:00.0 0280: 14e4:4315 (rev 01)
85:00.0 0200: 14e4:1693 (rev 02)

These two PCI ids give the error. I propose a simple patch to workaround this, it works on my system.


-- System Information:
Debian Release: squeeze/sid
  APT prefers squeeze
  APT policy: (990, 'squeeze'), (990, 'testing'), (800, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages firmware-b43-lpphy-installer depends on:
ii  b43-fwcutter                  1:013-1    Utility for extracting Broadcom 43
ii  bzip2                         1.0.5-4    high-quality block-sorting file co
ii  wget                          1.12-2     retrieves files from the web

Versions of packages firmware-b43-lpphy-installer recommends:
ii  linux-image-2.6.32 [linux-ima 2.6.32-19  Linux kernel, version 2.6.32
ii  linux-image-2.6.32-4-amd64 [l 2.6.32-11  Linux 2.6.32 for 64-bit PCs
ii  linux-image-2.6.33 [linux-ima 2.6.33-5   Linux kernel, version 2.6.33

firmware-b43-lpphy-installer suggests no packages.

-- no debconf information
--- firmware-b43-lpphy-installer.postinst	2010-05-03 17:54:52.000000000 +0200
+++ /var/lib/dpkg/info//firmware-b43-lpphy-installer.postinst	2010-05-03 10:24:22.000000000 +0200
@@ -14,7 +14,7 @@
 # check chip
 pci=`lspci -n | grep -o "14e4:[1234567890]\+"` || true
 if [ -n "$pci" ]; then
-	if [ "`echo $pci | cut -d: -f2`" != "4315" ]; then
+	if  ! echo $pci | grep -q '14e4:4315'; then
 		echo "Not supported card here (PCI id $pci)!"
 		echo "Use proper b43 or b43legacy firmware."
 		echo "Aborting."

--- End Message ---
--- Begin Message ---
Source: b43-fwcutter
Source-Version: 1:013-2

We believe that the bug you reported is fixed in the latest version of
b43-fwcutter, which is due to be installed in the Debian FTP archive:

  to contrib/b/b43-fwcutter/b43-fwcutter_013-2.debian.tar.gz
  to contrib/b/b43-fwcutter/b43-fwcutter_013-2.dsc
  to contrib/b/b43-fwcutter/b43-fwcutter_013-2_amd64.deb
  to contrib/b/b43-fwcutter/firmware-b43-installer_4.150.10.5-4_all.deb
  to contrib/b/b43-fwcutter/firmware-b43-lpphy-installer_4.174.64.19-4_all.deb
  to contrib/b/b43-fwcutter/firmware-b43legacy-installer_4.178.10.4-4_all.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580098@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Rene Engelhard <rene@debian.org> (supplier of updated b43-fwcutter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA256

Format: 1.8
Date: Tue, 11 May 2010 01:52:40 +0200
Source: b43-fwcutter
Binary: b43-fwcutter firmware-b43-installer firmware-b43-lpphy-installer firmware-b43legacy-installer
Architecture: source all amd64
Version: 1:013-2
Distribution: unstable
Urgency: medium
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Rene Engelhard <rene@debian.org>
 b43-fwcutter - Utility for extracting Broadcom 43xx firmware
 firmware-b43-installer - Installer package for firmware for the b43 driver
 firmware-b43-lpphy-installer - Installer package for firmware for the b43 driver (LP-PHY version
 firmware-b43legacy-installer - Installer package for firmware for the b43legacy driver
Closes: 579633 580098 580883
 b43-fwcutter (1:013-2) unstable; urgency=medium
   * The "Ah, well, I end up maintaining this anyway" release....
   * QA upload
   * allow 14e4:4320 also for firmware-b43-installer (closes: #580883)
   * fix logic: || -> && (closes: #579633)
   * don't fail in -lpphy-installer when also broadcom ethernet is present
     (closes: #580098)
 afc2b7c9e578cc54b1bc3281d920544ced7e8896 1731 b43-fwcutter_013-2.dsc
 7d46026fd34d6c7589b90e64ee7c9569e96cc358 5576 b43-fwcutter_013-2.debian.tar.gz
 8009593931e926731b96b473340a3f4252c1237b 5218 firmware-b43-installer_4.150.10.5-4_all.deb
 b63a8ef279c9db2d27bf5c3c4b2e627033169857 5058 firmware-b43legacy-installer_4.178.10.4-4_all.deb
 0d178d198dc9f70fe13b75c9ddfaeb1108bcbf92 5184 firmware-b43-lpphy-installer_4.174.64.19-4_all.deb
 76368b6fc9a9c36d16f975107e482594c3c0d814 16876 b43-fwcutter_013-2_amd64.deb
 0b1a232195289ac4bc87191424502ffe3e8f70334fd2c6d9cd55d2679be102f4 1731 b43-fwcutter_013-2.dsc
 e8f71a71ff6685d8f6dacb92a9ff12486b18cb9a4d6486b584288e2e5249c487 5576 b43-fwcutter_013-2.debian.tar.gz
 8de8833e75d639c029e2ba2f1d0f50445e474d66e021b71ccd953032513bdae0 5218 firmware-b43-installer_4.150.10.5-4_all.deb
 8f4d15a7c8ec6a7788a546d6cd91d4f88be03f886d2b430b4850b4a148001154 5058 firmware-b43legacy-installer_4.178.10.4-4_all.deb
 85ae9452e8c9a4233df1fe339adcfc1970bdb92be867d00c745316933fc37c0a 5184 firmware-b43-lpphy-installer_4.174.64.19-4_all.deb
 cc160feaea793061b860b3203d9f22180f8a79cd4a7c50ff8c81ae4295ba213e 16876 b43-fwcutter_013-2_amd64.deb
 c8e671dce7879649e4423fc3f6bb7797 1731 contrib/utils optional b43-fwcutter_013-2.dsc
 2a066e8707e46ed8283ccbc68a9f151c 5576 contrib/utils optional b43-fwcutter_013-2.debian.tar.gz
 907de3b9ec849a1ed2a53374f3708c6b 5218 contrib/kernel optional firmware-b43-installer_4.150.10.5-4_all.deb
 a5a7a295459c0c03613985bd720b1839 5058 contrib/kernel optional firmware-b43legacy-installer_4.178.10.4-4_all.deb
 782301def9caf01cdadf5d4ba67a3aaf 5184 contrib/kernel optional firmware-b43-lpphy-installer_4.174.64.19-4_all.deb
 ce843f90329e91bb8f90bd37bdc4da52 16876 contrib/utils optional b43-fwcutter_013-2_amd64.deb

Version: GnuPG v1.4.10 (GNU/Linux)


--- End Message ---

Reply to: